Subject: Re: bug#50568: Missing source code

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 17 Sep 2021 12:46:50 +0200

On Tue, Sep 14, 2021 at 10:38:55AM +0200, Ludovic Courtès wrote:
> I wonder if there’s a way to construct generic web.archive.org URLs that
> we could use as a fallback in (guix build download)?
On Thu, Sep 16, 2021 at 09:45:26PM +0200, Ludovic Courtès wrote:
> How ’bout the attached patch?  Works for me.

Thank you for implementing.  I guix pull with the patch applied, add the IP
from

guix environment --ad-hoc bind:utils -- dig web.archive.org

to /etc/hosts, set my DNS server to a non-existing 10.0.0.50, disable
IPv6, then “sudo herd stop nscd”, re-connect Network Manager (ping
gnu.org fails now) and LC_ALL=en_US.utf8 guix install hello.  It
fails.  Did I misunderstand the patch’s purpose or test in a wrong
way?  This is the output:

florian@florianacer ~$ LC_ALL=en_US.utf8 guix install hello
The following package will be installed:
   hello 2.10

substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: warning: ci.guix.gnu.org: host not found: Temporary failure in name resolution
substitute: 
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'...   0.0%guix substitute: warning: bordeaux.guix.gnu.org: host not found: Temporary failure in name resolution
substitute: 
The following derivations will be built:
   /gnu/store/4hsqwl19n4m2scipkzy0rsc04n30vhbk-profile.drv
   /gnu/store/xr30pd6zw8lp0xz3kq2d7gm3c8pmh674-hello-2.10.drv
   /gnu/store/wy24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv

substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'...   0.0%
applying 5 grafts for /gnu/store/rsizfxkag8gkbccr5d4g9xdacgwh8wya-at-spi2-core-2.34.0.drv ...
building /gnu/store/wy24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv...
\builder for `/gnu/store/wy24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv' failed to produce output path `/gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz'
build of /gnu/store/wy24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv failed
View build log at '/var/log/guix/drvs/wy/24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv.bz2'.
applying 4 grafts for /gnu/store/8jj80f4p5bp9s09zawxmli13chrdx2ri-at-spi2-atk-2.34.1.drv ...
cannot build derivation `/gnu/store/xr30pd6zw8lp0xz3kq2d7gm3c8pmh674-hello-2.10.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/4hsqwl19n4m2scipkzy0rsc04n30vhbk-profile.drv': 1 dependencies couldn't be built
guix install: error: build of `/gnu/store/4hsqwl19n4m2scipkzy0rsc04n30vhbk-profile.drv' failed
florian@florianacer ~$ bzcat /var/log/guix/drvs/wy/24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv.bz2

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
>From https://ftpmirror.gnu.org/gnu/hello/hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
>From ftp://ftp.cs.tu-berlin.de/pub/gnu/hello/hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
>From ftp://ftp.funet.fi/pub/mirrors/ftp.gnu.org/gnu/hello/hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
>From http://ftp.gnu.org/pub/gnu/hello/hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
>From https://ci.guix.gnu.org/file/hello-2.10.tar.gz/sha256/0ssi1wpaf7plaswqqjwigppsg5fyh99vdlb9kzl7c9lng89ndq1i...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
>From https://tarballs.nixos.org/sha256/0ssi1wpaf7plaswqqjwigppsg5fyh99vdlb9kzl7c9lng89ndq1i...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
>From https://archive.softwareheritage.org/api/1/content/sha256:31e066137a962676e89f69d1b65382de95a7ef7d914b8cb956f41ea72e0f516b/raw/...
In procedure getaddrinfo: Temporary failure in name resolution
Trying to use Disarchive to assemble /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution
could not find its Disarchive specification
failed to download "/gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz" from "mirror://gnu/hello/hello-2.10.tar.gz"